LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::sdbc::PseudoColumnUsage Constant Group Reference

determines pseudo/hidden column usage. More...

## Variables
const long | NO_USAGE_RESTRICTIONS = 0
| indicates there are no restrictions on the usage of the pseudo/hidden columns. More...
const long | SELECT_LIST_ONLY = 1
| indicates the pseudo/hidden column may only be used in a SELECT list. More...
const long | USAGE_UNKNOWN = 2
| indicates the usage of the pseudo/hidden column cannot be determined. More...
const long | WHERE_CLAUSE_ONLY = 3
| indicates the pseudo/hidden column may only be used in a WHERE clause. More...

## Detailed Description

determines pseudo/hidden column usage.

Since
  LibreOffice 25.8

## Variable Documentation

## ◆ NO_USAGE_RESTRICTIONS

const long NO_USAGE_RESTRICTIONS = 0

indicates there are no restrictions on the usage of the pseudo/hidden columns.

## ◆ SELECT_LIST_ONLY

const long SELECT_LIST_ONLY = 1

indicates the pseudo/hidden column may only be used in a SELECT list.

## ◆ USAGE_UNKNOWN

const long USAGE_UNKNOWN = 2

indicates the usage of the pseudo/hidden column cannot be determined.

## ◆ WHERE_CLAUSE_ONLY

const long WHERE_CLAUSE_ONLY = 3

indicates the pseudo/hidden column may only be used in a WHERE clause.